package com.yanzuoguang.util.thread;

import com.yanzuoguang.util.vo.ResponseResult;

/**
 * 执行字符串
 * @author 颜佐光
 */
public interface RunnableData<T extends Object> {

    /**
     * 执行函数
     *
     * @param data 需要执行的命令
     * @return 返回值
     */
    ResponseResult<T> run(Object data);
}
